> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookmyapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Page insights

> Read metrics for the Page.

Reads Page metrics for a period.

## Authentication

Use the `hmat_` channel token from `GET /meta/channels/{id}/token` or `hookmyapp channels token <channel>`. Do not use an `hmok_` API key for this call.

```bash theme={null}
Authorization: Bearer hmat_...
```

## Path parameters

<ParamField path="pageId" type="string" required>
  The connected Page id.
</ParamField>

## Query parameters

<ParamField query="metric" type="string" required>
  Comma-separated metric names, for example `page_post_engagements,page_follows,page_views_total,page_daily_follows_unique`.
</ParamField>

<ParamField query="period" type="string">
  `day`, `week` or `days_28`. Defaults to `day`.
</ParamField>

## Example

```bash theme={null}
curl "https://gateway.hookmyapp.com/meta/v25.0/{PAGE_ID}/insights?metric=page_follows,page_views_total&period=day" \
  -H "Authorization: Bearer hmat_..."
```

## Successful response

```json theme={null}
{
  "data": [
    {
      "name": "page_views_total",
      "period": "day",
      "values": [
        { "value": 120, "end_time": "2026-09-14T07:00:00+0000" },
        { "value": 98, "end_time": "2026-09-15T07:00:00+0000" }
      ]
    }
  ]
}
```

See [Insights](/facebook/insights) for the metric list.
